karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Soto <alex.s...@envieta.com>
Subject Re: Custom distribution, Camel, Missing org.slf4j
Date Wed, 09 May 2018 14:24:29 GMT
Probably better if I look at some working example. 
Is there a full example of how to create a custom distribution?  Is Karaf itself using this
to build its own?


Best regards,
Alex soto



> On May 8, 2018, at 11:21 AM, Jean-Baptiste Onofré <jb@nanthrax.net> wrote:
> 
> OK,
> 
> let me take a look.
> 
> The log feature should provide the slf4j package required by camel-core.
> 
> Regards
> JB
> 
> On 08/05/2018 17:04, Alex Soto wrote:
>> Thanks BJ, as you suggested, I moved camel-core to the installedFeatures
>> <installedFeatures>
>> 	<feature>camel-core</feature>
>>  </installedFeatures>
>> But still didn’t help, same error as before.
>> Best regards,
>> Alex soto
>>> On May 8, 2018, at 10:08 AM, Jean-Baptiste Onofré <jb@nanthrax.net> wrote:
>>> 
>>> Hi Alex,
>>> 
>>> I guess it work if you put camel-core as a installed feature.
>>> 
>>> The log feature should be installed in stage before camel-core. Let me provide
the corrected pom.xml to you.
>>> 
>>> Regards
>>> JB
>>> 
>>> On 08/05/2018 15:55, Alex Soto wrote:
>>>> Hello,
>>>> I am trying to build a custom distribution with Karaf (version 4.2.0), when
I add Camel (version 2.21.1), I get the following error:
>>>> [ERROR] Failed to execute goal org.apache.karaf.tooling:karaf-maven-plugin:4.2.0:assembly
(gen-assembly) on project test: Unable to build assembly: Unable to resolve root: missing
requirement [root] osgi.identity; osgi.identity=camel-core; type=karaf.feature; version=2.21.1;
filter:="(&(osgi.identity=camel-core)(type=karaf.feature)(version>=2.21.1))" [caused
by: Unable to resolve camel-core/2.21.1: missing requirement [camel-core/2.21.1] osgi.identity;
osgi.identity=org.apache.camel.camel-core; type=osgi.bundle; version="[2.21.1,2.21.1]"; resolution:=mandatory
[caused by: Unable to resolve org.apache.camel.camel-core/2.21.1: missing requirement [org.apache.camel.camel-core/2.21.1]
osgi.wiring.package; filter:="(&(osgi.wiring.package=org.slf4j)(version>=1.7.0)(!(version>=2.0.0)))"]]
-> [Help 1]
>>>> My dependencies are:
>>>> <dependencies>
>>>>  <dependency>
>>>> <groupId>org.apache.karaf.features</groupId>
>>>> <artifactId>framework</artifactId>
>>>> <version>${karaf.version}</version>
>>>> <type>kar</type>
>>>> </dependency>
>>>> <dependency>
>>>> <groupId>org.apache.camel.karaf</groupId>
>>>> <artifactId>apache-camel</artifactId>
>>>> <classifier>features</classifier>
>>>> <type>xml</type>
>>>> </dependency>
>>>> </dependencies>
>>>> My boot features are:
>>>> <bootFeatures>
>>>>     <feature>instance</feature>
>>>>     <feature>package</feature>
>>>>     <feature>log</feature>
>>>>     <feature>ssh</feature>
>>>>     <feature>framework</feature>
>>>>     <feature>system</feature>
>>>>     <feature>eventadmin</feature>
>>>>     <feature>feature</feature>
>>>>     <feature>shell</feature>
>>>>     <feature>management</feature>
>>>>     <feature>service</feature>
>>>>     <feature>jaas</feature>
>>>>     <feature>deployer</feature>
>>>>     <feature>diagnostic</feature>
>>>>     <feature>wrap</feature>
>>>>     <feature>bundle</feature>
>>>>     <feature>config</feature>
>>>>     <feature>kar</feature>
>>>>     <feature>scr</feature>
>>>> <feature>aries-blueprint</feature>
>>>> <feature>war</feature>
>>>> <feature>camel-core</feature>
>>>>  </bootFeatures>
>>>> Is there a missing feature or dependency  I need to add?
>>>> Best regards,
>>>> Alex soto


Mime
View raw message